Date Picker

Bootstrap Date Picker

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap date picker is a plugin that adds the function of selecting time without the necessity of using custom JavaScript code.

This documentation may contain syntax introduced in the MDB 4.17.0 and can be incompatible with previous versions. For old Date Picker documentation please follow the link.


Basic example MDB Pro component

The new date picker opens when you click the icon on the right side, not on input.

        
            
        <div id="date-picker-example" class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    
        
            

        // Data Picker Initialization
        $('.datepicker').datepicker();
      
        
    

Initialization required

To use our Material DatePicker you have to initialize it first with the code below.

Note: Javascript numeration

Months in a JavaScript Date object are zero-indexed. Meaning, new Date(2015, 3, 20) is 20 April, 2015.

To stay consistent with this, whenever an integer is used in reference to a month, datepicker treats it as zero-indexed. Dates as strings are still parsed as expected.


Inline mode

        
            
        <div id="date-picker-example" class="md-form md-outline input-with-post-icon datepicker" inline="true">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix"></i>
        </div>
      
        
    
        
            

        // Data Picker Initialization
        $('.datepicker').datepicker({
          inline: true
        });
      
        
    

Note: Javascript numeration

Months in a JavaScript Date object are zero-indexed. Meaning, new Date(2015, 3, 20) is 20 April, 2015.

To stay consistent with this, whenever an integer is used in reference to a month, datepicker treats it as zero-indexed. Dates as strings are still parsed as expected.


Default settings

These are the default settings applied to the basic invocation above. To change them, simply initialize the Date Picker with the desired values.

        
            

        // Strings and translations
        monthsFull: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October',
        'November', 'December'],
        monthsShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
        weekdaysFull: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
        weekdaysShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
        showMonthsShort: undefined,
        showWeekdaysFull: undefined,

        // Buttons
        today: 'Today',
        clear: 'Clear',
        close: 'Close',

        // Accessibility labels
        labelMonthNext: 'Next month',
        labelMonthPrev: 'Previous month',
        labelMonthSelect: 'Select a month',
        labelYearSelect: 'Select a year',

        // Formats
        format: 'd mmmm, yyyy',
        formatSubmit: undefined,
        hiddenPrefix: undefined,
        hiddenSuffix: '_submit',
        hiddenName: undefined,

        // Editable input
        editable: undefined,

        // Dropdown selectors
        selectYears: undefined,
        selectMonths: undefined,

        // First day of the week
        firstDay: undefined,

        // Date limits
        min: undefined,
        max: undefined,

        // Disable dates
        disable: undefined,

        // Root picker container
        container: undefined,

        // Hidden input container
        containerHidden: undefined,

        // Close on a user action
        closeOnSelect: true,
        closeOnClear: true,

        // Events
        onStart: undefined,
        onRender: undefined,
        onOpen: undefined,
        onClose: undefined,
        onSet: undefined,
        onStop: undefined,

        // Classes
        klass: {

          // The element states
          input: 'picker__input',
          active: 'picker__input--active',

          // The root picker and states *
          picker: 'picker',
          opened: 'picker--opened',
          focused: 'picker--focused',
          
          // The picker holder
          holder: 'picker__holder',
          
          // The picker frame, wrapper, and box
          frame: 'picker__frame',
          wrap: 'picker__wrap',
          box: 'picker__box',
          
          // The picker header
          header: 'picker__header',
          
          // Month navigation
          navPrev: 'picker__nav--prev',
          navNext: 'picker__nav--next',
          navDisabled: 'picker__nav--disabled',
          
          // Month & year labels
          month: 'picker__month',
          year: 'picker__year',
          
          // Month & year dropdowns
          selectMonth: 'picker__select--month',
          selectYear: 'picker__select--year',
          
          // Table of dates
          table: 'picker__table',
          
          // Weekday labels
          weekdays: 'picker__weekday',
          
          // Day states
          day: 'picker__day',
          disabled: 'picker__day--disabled',
          selected: 'picker__day--selected',
          highlighted: 'picker__day--highlighted',
          now: 'picker__day--today',
          infocus: 'picker__day--infocus',
          outfocus: 'picker__day--outfocus',
          
          // The picker footer
          footer: 'picker__footer',
          
          // Today, clear, & close buttons
          buttonClear: 'picker__button--clear',
          buttonClose: 'picker__button--close',
          buttonToday: 'picker__button--today'
        }

      
        
    

Customization


Strings

Change the month and weekday labels as you wish:

        
            
        $('.datepicker').datepicker({
          weekdaysShort: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
          showMonthsShort: true
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="customDays">
          <input placeholder="Select date" type="text" id="Customization" class="form-control">
          <label for="Customization">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Buttons

Change the text, or hide a button completely, by passing a false-y value:

        
            
        $('.datepicker').datepicker({
          ok: '',
          clear: 'Clear selection',
          close: 'Cancel'
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="falseY">
          <input placeholder="Select date" type="text" id="buttons-example" class="form-control">
          <label for="buttons-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Accessibility labels

Change the title attributes to several elements within the picker:

        
            
        $('.datepicker').datepicker({
          labelMonthNext: 'Go to the next month',
          labelMonthPrev: 'Go to the previous month',
          labelMonthSelect: 'Pick a month from the dropdown',
          labelYearSelect: 'Pick a year from the dropdown',
          selectMonths: true,
          selectYears: true
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="accLabels">
          <input placeholder="Select date" type="text" id="accessibility-example" class="form-control">
          <label for="accessibility-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Translations

The picker can be extended to add support for internationalization. Translations for over 40 languages are available out of the box, which you can include in one of two ways:

        
            
        // Extend the default picker options for all instances.
        $.extend($.fn.datepicker.defaults, {
          monthsFull: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre',
          'Novembre', 'Décembre'],
          weekdaysShort: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
          today: 'aujourd\'hui',
          clear: 'effacer',
          formatSubmit: 'yyyy/mm/dd'
        })

        // Or, pass the months and weekdays as an array for each invocation.
        $('.datepicker').datepicker({
          monthsFull: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre',
          'Novembre', 'Décembre'],
          weekdaysShort: ['Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven', 'Sam'],
          clear: 'effacer',
          formatSubmit: 'yyyy/mm/dd'
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="translat">
          <input placeholder="Select date" type="text" id="translat-example" class="form-control">
          <label for="translat-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Note:

When using translations, specify formatSubmit and data-value to ensure the date parses correctly regardless of locale.

Formats

Display a human-friendly format and use an alternate one to submit to the server.

This is done by creating a new hidden input element with the same name attribute as the original with an optional prefix/suffix:

        
            
        $('.datepicker').datepicker({
          // Escape any “rule” characters with an exclamation mark (!).
          format: 'You selecte!d: dddd, dd mmm, yyyy',
          formatSubmit: 'yyyy/mm/dd',
          hiddenPrefix: 'prefix__',
          hiddenSuffix: '__suffix'
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="formatsSection">
          <input placeholder="Select date" type="text" id="formats-example" class="form-control">
          <label for="formats-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Send the hidden value only

A majority of the time, the value that needs to be sent to the server is just the hidden value — and not the visible one. To make this happen, use the hiddenName option.

This essentially nullifies hiddenPrefix and hiddenSuffix, strips the name attribute from the source input, and then sets it as the name of the hidden input:

        
            
        $('.datepicker').datepicker({
        weekdaysShort: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
        showMonthsShort: true
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="formatsSection">
          <input placeholder="Select date" type="text" id="formats-example" class="form-control">
          <label for="formats-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Pre-fill values using custom formats or translations

When using a custom formatting rule for the format option, or when using translations, the input element should be given a data-value attribute formatted using the [yyyy,m,dd] while months count from 0 to 11 — the element’s value can be left blank. This helps to parse the date from custom formats into various languages:

        
            

        <div class="md-form md-outline input-with-post-icon datepicker" id="prefill">
          <input placeholder="Select date" type="text" id="prefill-example" class="form-control">
          <label for="prefill-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>

      
        
    
        
            
          $('#prefill').datepicker({

          });
        
        
    

Formatting rules

The following rules can be used to format any date:

Rule Description Result
d Date of the month 1 – 31
dd Date of the month with a leading zero 01 – 31
ddd Day of the week in short form Sun – Sat
dddd Day of the week in full form Sunday – Saturday
m Month of the year 1 – 12
mm Month of the year with a leading zero 01 – 12
mmm Month name in short form Jan – Dec
mmmm Month name in full form January – December
yy Year in short form * 00 – 99
yyyy Year in full form 2000 – 2999

Note:

If you use the yy rule in the format option, you must specify the yyyy rule in the formatSubmit option with the appropriate data-value attribute to ensure the the date parses accurately.

Never use the yy rule in the formatSubmit option.

First weekday

The first day of the week can be set to either Sunday or Monday. Anything truth-y sets it as Monday and anything false-y as Sunday:

        
            
        $('.datepicker').datepicker({
          firstDay: 0
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="firstWeekday">
          <input placeholder="Select date" type="text" id="firstWeekday-example" class="form-control">
          <label for="firstWeekday-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Date limits

Set the minimum and maximum selectable dates on the picker:

1. Using JavaScript Date object:

        
            
        $('.datepicker').datepicker({ min: new Date(2015,3,20),
          max: new Date(2015,7,14)
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

2. Using arrays formatted as [YEAR,MONTH,DATE]

        
            
        $('.datepicker').datepicker({ min: [2015,3,20],
          max: [2015,7,14]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

3. Using integers or a boolean

        
            
        $('.datepicker').datepicker({
          // An integer (positive/negative) sets it relative to today.
          min: -15,
          // `true` sets it to today. `false` removes any limits.
          max: true
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Disable dates

Disable a specific or arbitrary set of dates selectable on the picker.

You can do it by:

1. Using JavaScript Date object

        
            
        $('.datepicker').datepicker({
          disable: [
            new Date(2015,3,13),
            new Date(2015,3,29)
          ]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker" id="firstDisable">
          <input placeholder="Select date" type="text" id="firstDisable-example" class="form-control">
          <label for="firstDisable-example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

2. Using arrays formatted as [YEAR,MONTH,DATE]

        
            
        $('.datepicker').datepicker({
          disable: [
            [2015,3,3],
            [2015,3,12],
            [2015,3,20]
          ]
        })
      
        
    
        
            

        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

3. Using integers as days of the week (1 to 7)

        
            
        $('.datepicker').datepicker({
          disable: [
            1, 4, 7
          ]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

4. Using objects as a range of dates

        
            
        $('.datepicker').datepicker({
          disable: [
            { from: [2016,2,14], to: [2016,2,27] }
          ]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Note:

When it comes to disabling particular dates, the values for from & to can be a JavaScript Date object, an array formatted as [YEAR,MONTH,DATE] or a booleanvalue (true sets the date as “today”).

The values can also be integers representing dates relative to the other, where to can only be positive ({ from: [2016,3,12], to: 10 }), while from can only be negative ({ from: -10, to: true })

5. Disabling all with a set of exceptions

Enable only a specific or arbitrary set of dates by setting the the first item in the collection as true:

        
            
        $('.datepicker').datepicker({
          disable: [
            true,
            1, 4, 7,
            [2015,3,3],
            [2015,3,12],
            [2015,3,20],
            new Date(2015,3,13),
            new Date(2015,3,29)
          ]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

6. Disabling ranges with exceptions

Enable dates that fall within a range of disabled dates by adding an the inverted parameter to the item within the collection:

        
            
        $('.datepicker').datepicker({
          disable: [
            5,
            [2015, 10, 21, 'inverted'],
            { from: [2016, 3, 15], to: [2016, 3, 25] },
            [2016, 3, 20, 'inverted'],
            { from: [2016, 3, 17], to: [2016, 3, 18], inverted: true }
          ]
        })
      
        
    
        
            
        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="text" id="example" class="form-control">
          <label for="example">Try me...</label>
          <i class="fas fa-calendar input-prefix" tabindex=0></i>
        </div>
      
        
    

Events

Fire off events as the user interacts with the picker:

        
            
          $('.datepicker').datepicker({
            onStart: function() {
              console.log('Hello there :)')
            },
            onRender: function() {
              console.log('Whoa.. rendered anew')
            },
            onOpen: function() {
              console.log('Opened up')
            },
            onClose: function() {
              console.log('Closed now')
            },
            onStop: function() {
              console.log('See ya.')
            },
            onSet: function(context) {
              console.log('Just set stuff:', context)
            }
          })
        
        
    
        
            
          <div class="md-form">
            <input placeholder="Selected date" type="text" id="date-picker-example" class="form-control datepicker">
            <label for="date-picker-example">Try me...</label>
          </div>
        
        
    

Default Date Picker

        
            

        <div class="md-form md-outline input-with-post-icon datepicker">
          <input placeholder="Select date" type="date" id="example" class="form-control">
          <label for="example">Try me...</label>
        </div>

React Bootstrap Date Picker

React Date Picker - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap date picker is a plugin that adds the function of selecting time without the necessity of using custom JavaScript code.

Basic example

        
            
          import React from 'react';
          import { MDBDatePicker } from 'mdbreact';
  
          class DatePickerPage extends React.Component  {
            getPickerValue = (value) => {
              console.log(value);
            }
  
            render() {
              return(
                <div>
                  <MDBDatePicker getValue={this.getPickerValue} />
                </div>
              );
            }
          };
  
          export default DatePickerPage;
       
        
    

Translations

The picker can be extended to add support for internationalization. We use moment.locale to change language.

        
            
            import React from 'react';
            import { MDBDatePicker } from 'mdbreact';
  
            import moment from 'moment';
            import 'moment/locale/fr';
  
            class DatePickerPage extends React.Component  {
              getPickerValue = (value) => {
                console.log(value);
              }
  
              render() {
                return(
                  <div>
                    <MDBDatePicker cancelLabel="Effacer" locale={moment.locale('fr')} getValue={this.getPickerValue} />
                  </div>
                );
              }
            };
  
            export default DatePickerPage;
          
        
    

React Date picker - API

In this section you will find advanced information about the Date picker component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { DatePicker } from "mdbreact";
        
        
    

API Reference: Properties

The table below shows the configuration options of the MDBDatePicker component.

Name Type Default Description Example
adornmentPosition String end Specifies position of keyboard button adornment <MDBDatePicker adornementPosition='start' />
allowKeyboardControl Boolean true Enables keyboard listener for moving between days in calendar <MDBDatePicker allowKeyboardControl={false} />
animateYearScrolling Boolean false To animate scrolling to current year (with scrollIntoView) <MDBDatePicker animateYearScrolling={true} />
autoOk Boolean false Auto accept date on selection <MDBDatePicker autoOk={true} />
cancelLabel String Cancel "Cancel" label message <MDBDatePicker cancelLabel='Cancel' />
className String Adds your custom classes to the wrapper <MDBDatePicker className='custom-class'>
clearable Boolean false If true clear button will be displayed <MDBDatePicker clearable={true} />
clearLabel String Clear "Clear" label message <MDBDatePicker clearLabel='Clear' />
disableFuture Boolean false Disable future dates <MDBDatePicker disableFuture={false} />
disableOpenOnEnter Boolean false enables/disable automatic opening of the picker when the user clicks enter <MDBDatePicker disableOpenOnEnter={false} />
disablePast Boolean false Disable past dates <MDBDatePicker disablePast={false} />
emptyLabel String '' Message displaying in text field, if null passed (doesn't work in keyboard mode) <MDBDatePicker emptyLabel='' />
format String 'DD MMMM, YYYY' Date display format <MDBDatePicker format='DD-MM-YYYY' />
initialFocusedDate String Initial focused date when calendar opens, if no value is provided <MDBDatePicker initialFocusedDate='20.12.2020' />
InputAdornmentProps Object {} Props to pass to keyboard input adornment <MDBDatePicker InputAdornmentProps={} />
invalidDateMessage String Invalid Date Format Message, appearing when date cannot be parsed <MDBDatePicker invalidDateMessage='Bad format' />
invalidLabel String Unknown Message displaying in text field, if date is invalid (doesn't work in keyboard mode) <MDBDatePicker invalidLabel='Invalid label' />
keyboard Boolean false On/off manual keyboard input mode <MDBDatePicker keyboard />
keyboardIcon String event Name of icon displayed for open picker button in keyboard mode <MDBDatePicker keyboardIcon='event' /gt;
leftArrowIcon String 'keyboard_arrow_left' Left arrow icon <MDBDatePicker leftArrowIcon='keyboard_arrow_left' />
mask any Input mask, used in keyboard mode <MDBDatePicker mask={[/\d/, /\d/,'.', /\d/, /\d/,'.', /\d/, /\d/, /\d/, /\d/]} />
maxDate String '2100-01-01' Max selectable date <MDBDatePicker maxDate='2020-12-24' />
maxDateMessage String 'Date should not be after maximal date' Error message, shown if date is more then maximal date <MDBDatePicker maxDateMessage='Max date' />
minDate String '1900-01-01' Min selectable date <MDBDatePicker minDate='1990-01-01' />
minDateMessage String 'Date should not be before minimal date' Error message, shown if date is less then minimal date <MDBDatePicker minDateMessage='Min date' />
okLabel String ok "OK" button label <MDBDatePicker okLabel='Nice' />
openToYearSelection Boolean false Open MDBDatePicker from year selection <MDBDatePicker openToYearSelection={true} />
rightArrowIcon String 'keyboard_arrow_right' Right arrow icon <MDBDatePicker rightArrowIcon='keyboard_arrow_right' />
showTodayButton Boolean false If true today button will be displayed Note* that clear button has higher priority <MDBDatePicker showTodayButton />
TextFieldComponent node TextField Component that should replace the default Material TextField <MDBDatePicker TextField='input' />
theme Object Property used to change color theme of the picker <MDBDatePicker theme={{ palette: { primary: { main: '#ffbb33', }, secondary: { main: '#FF8800', contrastText: '#ffcc00', }, }, typography: { useNextVariants: true, } }} />
todayLabel String 'Today' "Today" label message <MDBDatePicker todayLabel="It's today" />
locale Object Use moment to build object with your language and pass it here to change language. <MDBDatePicker locale={moment.locale('fr')} />
value instanceOf(Date) null The value of the picker component (use with the controlled input element) <MDBDatePicker value={this.state.pickerValue} onChange={this.handleChange} />
valueDefault instanceOf(Date) new Date() The default value of the picker component (use with the uncontrolled input element) <MDBDatePicker valueDefault={new Date("12.12.2012")} />

API Reference: Methods

Name Parameters Description Example
onInputChange In keyboard mode: returns event object on every picker input change. <MDBDatePicker onInputChange={this.handleOnInput} />
getValue Returns updated picker value. <MDBDatePicker getValue={this.handlePickerValue} />

Vue Date Picker MDB Pro component

Vue Date Picker - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap date picker is a plugin that adds a function of selecting date in a user-friendly way.

This documentation may contain syntax introduced in the MDB Vue 6.7.0 and can be incompatible with previous versions. For old datepicker documentation please follow the link.


Basic example MDB Pro component

        
            
              <template>
                <mdb-date-picker-2 v-model="date" label="Basic example" title="Select date" />
              </template>
            
        
    
        
            
              <script>
                import { mdbDatePicker2 } from 'mdbvue';
                export default {
                  name: 'Example',
                  components: {
                    mdbDatePicker2
                  },
                  data() {
                    return {
                      date: ''
                    };
                  }
                }
              </script>
            
        
    

Inline example MDB Pro component

        
            
              <template>
                <mdb-date-picker-2 inline v-model="date" label="Inline example" />
              </template>
            
        
    
        
            
              <script>
                import { mdbDatePicker2 } from 'mdbvue';
                export default {
                  name: 'Example',
                  components: {
                    mdbDatePicker2
                  },
                  data() {
                    return {
                      date: ''
                    };
                  }
                }
              </script>
            
        
    

Limit examples MDB Pro component

Disable past or future dates on the picker by using disabledPast or disabledFuture prop. More limit options are presented in the customization section.

        
            
              <template>
                <mdb-date-picker-2 v-model="date" disabledPast label="Disabled past dates" />
              </template>
            
        
    
        
            
              <script>
                import { mdbDatePicker2 } from 'mdbvue';
                export default {
                  name: 'Example',
                  components: {
                    mdbDatePicker2
                  },
                  data() {
                    return {
                      date: ''
                    };
                  }
                }
              </script>
            
        
    

Disabled weekends MDB Pro component

        
            
              <template>
                <mdb-date-picker-2 v-model="date" label="Disabled weekends" :limit="limit" />
              </template>
            
        
    
        
            
              <script>
                import { mdbDatePicker2 } from 'mdbvue';
                export default {
                  name: 'Example',
                  components: {
                    mdbDatePicker2
                  },
                  data() {
                    return {
                      date: '',
                      limit: [{
                        type: 'weekday',
                        available: [1, 2, 3, 4, 5]
                      }]
                    };
                  }
                }
              </script>
            
        
    

Custom icons MDB Pro component

Use custom font awesome icons within date picker.

        
            
              <template>
                <mdb-date-picker-2 icon="clock" far datePickerIcon="fas fa-calendar" v-model="date" />
              </template>
            
        
    
        
            
              <script>
                import { mdbDatePicker2 } from 'mdbvue';
                export default {
                  name: 'Example',
                  components: {
                    mdbDatePicker2
                  },
                  data() {
                    return {
                      date: ''
                    }
                  }
                }
              </script>
            
        
    

Keyboard navigation

Open date picker by pressing Enter key after focusing calendar icon and tab through available dates. Focus select and press enter to switch between day, year and month plates. On each view You can also use Arrows to move or Home and End buttons for choosing first or last item. Use Page Up or Page Down for swithing between months or years. Press Enter to select the date. The Delete key will clear selected value, while Esc will close the modal.


Date and time picker

You can use Date Picker and Time Picker components together to fill one input.

        
            
            <template>
              <div>
                <mdb-input :value="handlePickersValue()" @click.native="$refs.datePicker.open()" />
                <mdb-date-picker-2
                  ref="datePicker"
                  disable-input
                  v-model="datePickerValue"
                  @close="$refs.timePicker.open()" />
                <mdb-time-picker
                  ref="timePicker"
                  disable-input
                  v-model="timePickerValue" />
              </div>
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2, mdbTimePicker, mdbInput } from 'mdbvue';
              export default {
                name: 'DatePickerPage',
                components: {
                  mdbDatePicker2,
                  mdbTimePicker,
                  mdbInput
                },
                methods: {
                  handlePickersValue() {
                    let output = 'Pick date and time'
                    if (this.datePickerValue && this.timePickerValue) output = `${this.datePickerValue}, ${this.timePickerValue}`
                    else if (this.datePickerValue) output = this.datePickerValue
                    else if (this.timePickerValue) output = this.timePickerValue
                    return output
                  }
                },
                data() {
                  return {
                    datePickerValue: '',
                    timePickerValue: ''
                  }
                }
              }
            </script>
          
        
    

Customization


Strings

Change the month and weekday labels as you find suitable:

        
            
            options: {
              week: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
              month: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
            }
          
        
    

Buttons

Change the button's text by passing a value:

        
            
            options: {
              buttons: {
                ok: 'Ok',
                cancel: 'Cancel',
                clear: 'Clear'
              }
            }
          
        
    

Colors

Easily change picker's color theme by passing color options:

        
            
            options: {
              color: {
                header: 'info',
                headerText: 'white',
                checkedDay: 'info'
              }
            }
          
        
    

Translations

You can define labels in any other language:

        
            
            options: {
              week: ['Sam', 'Dim', 'Lun', 'Mar', 'Mer', 'Jeu', 'Ven'],
              month: ['Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'],
              placeholder: 'Veuillez choisir une date',
              buttons: {
                ok: 'Ok',
                cancel: 'Effacer',
                clear: 'Aujourd hui'
              }
            }
          
        
    

Date limits

Set the minimum and maximum selectable dates on the picker:

        
            
            <template>
              <mdb-date-picker-2 :limit="limit" />
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2 } from 'mdbvue';
              export default {
                name: 'Example',
                components: {
                  mdbDatePicker2
                },
                data() {
                  return {
                    limit: [{
                        type: 'weekday',
                        available: [1, 2, 3, 4, 5]
                      },
                      {
                        type: 'fromto',
                        from: '2018-02-01',
                        to: '2018-06-20'
                    }]
                  };
                }
              }
            </script>
          
        
    

Disabled dates

Disable exact date or an array of dates like this:

        
            
            <template>
              <mdb-date-picker-2 :limit="arrayLimit" />
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2 } from 'mdbvue';
              export default {
                name: 'Example',
                components: {
                  mdbDatePicker2
                },
                data() {
                  return {
                    arrayLimit: [{
                      type: 'exact',
                      disabled: ['2019-12-12', '2019-12-14', '2019-12-18']
                    }]
                  }
                }
              }
            </script>
          
        
    

Disabled past/future

Disable past or future dates on the picker, by using disabledPast or disabledFuture prop:

        
            
            <template>
              <mdb-date-picker-2 disabledPast />
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2 } from 'mdbvue';
              export default {
                name: 'Example',
                components: {
                  mdbDatePicker2
                }
              }
            </script>
          
        
    

Disabled range of dates

Disable range of dates on the picker.

        
            
            <template>
              <mdb-date-picker-2 :limit="rangeLimit" />
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2 } from 'mdbvue';
              export default {
                name: 'Example',
                components: {
                  mdbDatePicker2
                },
                data() {
                  return {
                    rangeLimit: [{
                      type: 'range',
                      from: '2019-12-05',
                      to: '2019-12-15'
                    }]
                  }
                }
              }
            </script>
          
        
    

Disabled from or to an exact date

Disable from or to an exact date by using the following syntax:

        
            
            <template>
              <mdb-date-picker-2 :limit="fromLimit" />
            </template>
          
        
    
        
            
            <script>
              import { mdbDatePicker2 } from 'mdbvue';
              export default {
                name: 'Example',
                components: {
                  mdbDatePicker2
                },
                data() {
                  return {
                    fromLimit: [{
                      type: 'from',
                      from: '2020-03-04'
                    }],
                    // or
                    toLimit: [{
                      type: 'to',
                      to: '2020-03-04'
                    }]
                  }
                }
              }
            </script>
          
        
    

Vue Date Picker - API

In this section you will find advanced information about the Vue Date Picker component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
    <script>
      import {
        mdbDatePicker2
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
limit Object {} Used to delimit available dates - when type:'fromto', two consecutive dates are specified (from:..., and to:..., which will be exluded; when type: 'weekday', available property holds an array of weekdays available limit: { type: 'fromto', ... }
options Array {} Changing picker options options: { type: 'day', ... }
disableOk Boolean false Disabling ok button <mdb-date-picker-2 disableOk />
disableClear Boolean false Disabling clear button <mdb-date-picker-2 disableClear />
disableCancel Boolean false Disabling cancel button <mdb-date-picker-2 disableCancel />
autoHide Boolean false Turning on auto-hide after picking a date <mdb-date-picker-2 autoHide />
validation Boolean false Enables validation <mdb-date-picker-2 :validation="isValidated" />
isValid Boolean false Custom validation check <mdb-date-picker-2 :isValid="true" />
validFeedback [String, Boolean] false Valid feedback label <mdb-date-picker-2 validFeedback="Correct" />
invalidFeedback [String, Boolean] false Invalid feedback label <mdb-date-picker-2 invalidFeedback="Invalid" />
defaultDate [String, Date] Sets default date <mdb-date-picker-2 :defaultDate="date" />
label String "Please choose a date Sets label <mdb-date-picker-2 label="label" />
bg Boolean false Sets design to animated border with background <mdb-date-picker-2 bg />
icon String Adds icon to a datepicker's input <mdb-date-picker-2 icon="clock" />
iconClass String Adds custom class to a datepicker's icon <mdb-date-picker-2 icon="clock" iconClass="yellow-text" />
far Boolean false Changes icon's style to regular <mdb-date-picker-2 icon="paper-plane" far/>
fab Boolean false Changes icon's style to brands <mdb-date-picker-2 icon="..." fab />
fal Boolean false Changes icon's style to light <mdb-date-picker-2 icon="..." fal />
inline Boolean false Enables inline mode <mdb-date-picker-2 inline />
inlinePlacement String 'bottom-start' Changes inline default placement. Most common options are 'top-start' and 'bottom-start'. <mdb-date-picker-2 inlinePlacement="top-start" />
datePickerIcon String 'far fa-calendar' Changes picker toggler icon. <mdb-date-picker-2 datePickerIcon="far fa-calendar-alt" />
title String 'Title' Defines modal picker title. <mdb-date-picker-2 title="Pick date" />

API Reference: Methods

Name Parameters Description Example
@getValue value Returns time-picker value. <mdb-date-picker-2 @getValue="getPickersValue" />
v-on:focus e Emitted on input's native focus event, meaning when the field gains focus. <mdb-date-picker-2 @focus="onFocus" />
v-on:blur e Emitted on input's native blur event, meaning when the field looses focus. <mdb-date-picker-2 @blur="onBlur" />
v-on:close e Emitted on datePicker close. <mdb-date-picker-2 @close="onClose" />

Date Picker options

Name Type Default Description
format String 'YYYY-MM-DD' decides upon the output format
placeholder String null datepicker's input's placeholder
week Array null the day names tags array
buttons Object {} an object with ok, clear and cancel property, where the buttons names are specified
color Object {} an object with header, headerText and checkedDay property, where the colors are specified
inputStyle Object {} style object consisting of 'property': 'value' pairs
wrapperClass String '' used to style the datepicker's wrapper

Angular Bootstrap Date Picker

Angular Date Picker - Bootstrap 4 & Material Design

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a 50% discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
get 50% discount on MDB5 PRO

Angular Bootstrap's date picker is a component that allows users to choose a date from the calendar.


Basic example MDB Pro component

        
            
            <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" [(ngModel)]="model" required></mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                // Your options
              };
            }
          
        
    

Inline version MDB Pro component

Live example
        
            
            <mdb-date-picker
              [inline]="true"
              name="mydate"
              [options]="myDatePickerOptions"
              [placeholder]="'Selected date'"
              [(ngModel)]="model"
              required>
            </mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-inline-component-example',
              templateUrl: 'date-picker-inline.component.html'
            })
            export class DatePickerInlineComponentExample {
              myDatePickerOptions: IMyOptions = {
                // Your options
              };
            }
          
        
    

Options usage MDB Pro component

You can customize date picker options in your component typescript file.

        
            
            <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" [(ngModel)]="model" required></mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                // Strings and translations
                dayLabels: {su: 'Sun', mo: 'Mon', tu: 'Tue', we: 'Wed', th: 'Thu', fr: 'Fri', sa: 'Sat'},
                dayLabelsFull: {su: "Sunday", mo: "Monday", tu: "Tuesday", we: "Wednesday", th: "Thursday", fr: "Friday", sa:
                "Saturday"},
                monthLabels: { 1: 'Jan', 2: 'Feb', 3: 'Mar', 4: 'Apr', 5: 'May', 6: 'Jun', 7: 'Jul', 8: 'Aug', 9: 'Sep', 10:
                'Oct', 11: 'Nov', 12: 'Dec' },
                monthLabelsFull: { 1: "January", 2: "February", 3: "March", 4: "April", 5: "May", 6: "June", 7: "July", 8:
                "August", 9: "September", 10: "October", 11: "November", 12: "December" },
                // Buttons
                todayBtnTxt: "Today",
                clearBtnTxt: "Clear",
                closeBtnTxt: "Close",
                // Format
                dateFormat: 'dd.mm.yyyy',
                // First day of the week
                firstDayOfWeek: 'mo',
                // // Disable dates
                disableUntil: {year: 2018, month: 10, day: 1},
                disableSince: {year: 2018, month: 10, day: 31},
                disableDays: [{year: 2018, month: 10, day: 3}],
                disableDateRanges: [{begin: {year: 2018, month: 10, day: 5}, end: {year: 2018, month: 10, day: 7}}],
                disableWeekends: false,
                // Enable dates (when disabled)
                // Year limits
                minYear: 1000,
                maxYear: 9999,
                // Show Today button
                showTodayBtn: true,
                // Show Clear date button
                showClearDateBtn: true,
                markCurrentDay: true,
                markDates: [{dates: [{year: 2018, month: 10, day: 20}], color: '#303030'}],
                markWeekends: undefined,
                disableHeaderButtons: false,
                showWeekNumbers: false,
                height: '100px',
                width: '50%',
                selectionTxtFontSize: '15px'
              };
            }
          
        
    

Global options MDB Pro component

You can set global options in MDB_DATE_OPTIONS provider. Global options will be overwritten by local options (passed to options input of specific mdb-date-picker component).

        
            
            <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'"></mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
            selector: 'date-picker-component-example',
            templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                // options defined locally, will be used only by this specific date picker
                // and will overwrite global options
              };
            }
          
        
    
        
            
            import { BrowserModule } from '@angular/platform-browser';
            import { NgModule } from '@angular/core';
            import { AppComponent } from './app.component';
            import { MDBBootstrapModulesPro, MDB_DATE_OPTIONS } from 'ng-uikit-pro-standard';

            @NgModule({
              declarations: [AppComponent],
              imports: [
                BrowserModule,
                MDBBootstrapModulesPro.forRoot(),
              ],
              providers: [
                // options defined globally, will be used by all date pickers in application
                { provide: MDB_DATE_OPTIONS, useValue: { showTodayBtn: false } }],
                bootstrap: [AppComponent],
            })
            export class AppModule {}
          
        
    

Variations MDB Pro component

Table of Contents:

  1. Strings
  2. Buttons
  3. Formats
  4. First weekday
  5. Years limits
  6. Disable dates
  7. Mark dates


Strings

Change the month and weekday labels:

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                dayLabels: {su: 'Son', mo: 'Mon', tu: 'Die', we: 'Mit', th: 'Don', fr: 'Fre', sa: 'Sam'},
                dayLabelsFull: {su: "Sonntag", mo: "Montag", tu: "Dienstag", we: "Mittwoch", th: "Donnerstag", fr: "Freitag",
                sa: "Samstag"},
                monthLabels: { 1: 'Jan', 2: 'Feb', 3: 'Mär', 4: 'Apr', 5: 'Mai', 6: 'Jun', 7: 'Jul', 8: 'Aug', 9: 'Sep', 10:
                'Okt', 11: 'Nov', 12: 'Dez' },
                monthLabelsFull: { 1: "Januar", 2: "Februar", 3: "März", 4: "April", 5: "Mai", 6: "Juni", 7: "Juli", 8:
                "August", 9: "September", 10: "Oktober", 11: "November", 12: "Dezember" }
              };
            }
          
        
    

Buttons

Change the text or hide a button completely:

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                todayBtnTxt: "Today",
                clearBtnTxt: "Clear",
                closeBtnTxt: "Close",
                showTodayBtn: true,
                showClearDateBtn: true
              };
            }
          
        
    

Formats

Display a human-friendly format.

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
            selector: 'date-picker-component-example',
            templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                dateFormat: 'dd.mm.yyyy'
              };
            }
          
        
    

The following rules can be used to format any date:

Rule Description Result
d Date of the month 1 – 31
dd Date of the month with a leading zero 01 – 31
ddd Day of the week in short form Sun – Sat
dddd Day of the week in full form Sunday – Saturday
m The month of the year 1 – 12
mm The month of the year with a leading zero 01 – 12
mmm Month name in short form Jan – Dec
mmmm Month name in full form January – December
yy Year in short form 00 – 99
yyyy Year in full form 1000 – 9999

First weekday

The first day of the week can be set to either Sunday or Monday.

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
            selector: 'date-picker-component-example',
            templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                firstDayOfWeek: 'mo' // 'mo' - Monday, 'tu' - Tuesday, 'we' - Wednesday, 'th' - Thursday, 'fr' - Friday, 'sa' - Saturday, 'su' - Sunday
              };
            }
          
        
    

Year limits

Set the minimum and maximum selectable years on the picker.

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
                selector: 'date-picker-component-example',
                templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                minYear: 2015,
                maxYear: 2017
              };
            }
          
        
    

Disable dates

Disable a specific or arbitrary set of dates selectable on the picker.

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
            selector: 'date-picker-component-example',
            templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                disableUntil: {year: 2016, month: 8, day: 10}, // Disable dates backward starting from the given date.
                disableSince: {year: 2017, month: 7, day: 22}, // Disable dates forward starting from the given date.
                disableDays: [{year: 2016, month: 11, day: 14}, {year: 2016, month: 1, day: 15}], // Disable single dates one by one.
                disableDateRanges: [{begin: {year: 2016, month: 11, day: 14}, end: {year: 2016, month: 11, day: 20}}], // Disable date ranges.
                disableWeekends: true, //Disable weekends (Saturday and Sunday).
                enableDays: [{year: 2016, month: 8, day: 1}, {year: 2017, month: 8, day: 15}], // Enable given dates one by one if the date is disabled.
              };
            }
          
        
    

Mark dates

Mark a specific or arbitrary set of dates on the picker.

        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
            selector: 'date-picker-component-example',
            templateUrl: 'date-picker.component.html',
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                markDates: [
                  {
                    dates: [{year: 2016, month: 11, day: 14}, {year: 2016, month: 12, day: 16}],
                    color: '#004198'
                  },
                  {
                    dates: [{year: 2017, month: 10, day: 2}, {year: 2017, month: 11, day: 6}],
                    color: 'green'
                  }
                ], // Mark dates for different colors.
                markWeekends: {marked: true, color: 'red'} // Mark weekends (Saturday and Sunday)
              };
            }
          
        
    

Translation MDB Pro component

Use the LocaleService Date Picker class to provide global translation options to every Date Picker element in your application.

        
            
            <mdb-date-picker
              name="mydate"
              #datePicker
              [options]="myDatePickerOptions"
              [placeholder]="'Selected date'"
              [locale]="'de'"
              [(ngModel)]="model"
              required>
            </mdb-date-picker>
          
        
    
        
            
            import { IMyOptions, MDBDatePickerComponent, LocaleService } from 'ng-uikit-pro-standard';
            import { Component, OnInit, ViewChild } from '@angular/core';

            @Component({
              selector: 'datepicker-translate',
              templateUrl: './datepicker-translate.component.html',
              styleUrls: ['./datepicker-translate.component.scss'],
            })
            export class DatePickerTranslateComponent implements OnInit {
              @ViewChild('datePicker', { static: true }) datePicker!: MDBDatePickerComponent;

              myDatePickerOptions: IMyOptions = {};

              locales = {
                'de': {
                  dayLabels: { su: 'Son', mo: 'Mon', tu: 'Die', we: 'Mit', th: 'Don', fr: 'Fre', sa: 'Sam' },
                  dayLabelsFull: { su: 'Sonntag', mo: 'Montag', tu: 'Dienstag', we: 'Mittwoch', th: 'Donnerstag', fr: 'Freitag', sa: 'Samstag' },
                  monthLabels: {
                    1: 'Jan', 2: 'Feb', 3: 'Mär', 4: 'Apr', 5: 'Mai', 6: 'Jun',
                    7: 'Jul', 8: 'Aug', 9: 'Sep', 10: 'Okt', 11: 'Nov', 12: 'Dez'
                  },
                  monthLabelsFull: {
                    1: 'Januar', 2: 'Februar', 3: 'März', 4: 'April', 5: 'Mai', 6: 'Juni', 7: 'Juli',
                    8: 'August', 9: 'September', 10: 'Oktober', 11: 'November', 12: 'Dezember'
                  },
                  dateFormat: 'dd mmmm yyyy',
                  todayBtnTxt: 'Heute',
                  clearBtnTxt: 'Klar',
                  closeBtnTxt: 'Schließen',
                  firstDayOfWeek: 'mo',
                  sunHighlight: true,
                }
              };

              constructor(private localeService: LocaleService) {
                this.localeService.setLocaleOptions(this.locales);
              }
            }
            
        
    

Open and hide programmatically MDB Pro component

You can get access to date picker methods from another component.

        
            
            <mdb-date-picker
              #datePicker
              name="mydate"
              [options]="myDatePickerOptions"
              [placeholder]="'Selected date'"
              [(ngModel)]="model"
              required>
            </mdb-date-picker>
          
        
    
        
            
            import { Component, OnInit, ViewChild } from '@angular/core';
            import { IMyOptions, MDBDatePickerComponent } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample implements OnInit {
              @ViewChild('datePicker', { static: true }) datePicker!: MDBDatePickerComponent;

              myDatePickerOptions: IMyOptions = {
                // Your options
              };

              ngOnInit() {
                setTimeout(() => {
                  this.datePicker.openBtnClicked();
                  setTimeout(() => {
                    this.datePicker.closeBtnClicked();
                  }, 2000);
                }, 2000);
              }
            }
          
        
    

Set default date MDB Pro component

Template-driven forms:

        
            
              <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" [(ngModel)]="selectedDate"></mdb-date-picker>
            
        
    
        
            
              import { Component } from '@angular/core';
              import { IMyOptions } from 'ng-uikit-pro-standard';

              @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
              })
              export class DatePickerComponentExample {
                myDatePickerOptions: IMyOptions = {
                  // Your options
                };

                selectedDate = {date: {year: 2019, month: 5, day: 8}};
              }
            
        
    

Reactive forms:

        
            
                  <mdb-date-picker [options]="myDatePickerOptions" [placeholder]="'Selected date'" formControlName="datePickerControl"></mdb-date-picker>
                
        
    
        
            
                  import { Component, OnInit } from '@angular/core';
                  import { IMyOptions } from 'ng-uikit-pro-standard';

                  @Component({
                    selector: 'date-picker-component-example',
                    templateUrl: 'date-picker.component.html'
                  })
                  export class DatePickerComponentExample implements OnInit {
                    myDatePickerOptions: IMyOptions = {
                      // Your options
                    };

                    datePickerForm: FormGroup;

                    ngOnInit() {
                      const selectedDate = {date: {year: 2019, month: 5, day: 8}};
                      this.datePickerForm = new FormGroup({
                        datePickerControl: new FormControl(selectedDate)
                      });
                    }
                  }
                
        
    

Using [selDate] input:

        
            
                  <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" [selDate]="'2019-05-08'"></mdb-date-picker>
                
        
    
        
            
                  import { Component } from '@angular/core';
                  import { IMyOptions } from 'ng-uikit-pro-standard';

                  @Component({
                    selector: 'date-picker-component-example',
                    templateUrl: 'date-picker.component.html'
                  })
                  export class DatePickerComponentExample {
                    myDatePickerOptions: IMyOptions = {
                      // Your options
                    };
                  }
                
        
    

Using JavaScript ISO string:

        
            
            <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" required></mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {
                startDate: new Date().toISOString()
              };
            }
          
        
    

Using JavaScript Date object:

        
            
            <mdb-date-picker name="mydate" [options]="myDatePickerOptions" [placeholder]="'Selected date'" [(ngModel)]="date" required></mdb-date-picker>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { IMyOptions } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'date-picker-component-example',
              templateUrl: 'date-picker.component.html'
            })
            export class DatePickerComponentExample {
              myDatePickerOptions: IMyOptions = {};
              date = new Date();
            }
          
        
    

Default Date Picker

Below is presented the browser's default Date Picker with MD input.

        
            
            <div class="md-form">
              <input type="date" id="input" class="form-control" mdbInput>
              <label for="input">Choose your date</label>
            </div>
          
        
    

Angular Date Picker - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of date picker component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { DatepickerModule, WavesModule } from 'ng-uikit-pro-standard';
          import { FormsModule } from '@angular/forms';
        
        
    

Components

MdbDatePicker

Selector: mdb-date-picker

Type: MDBDatePickerComponent


Inputs

Name Type Default Description Example
defaultMonth string - If no start date value is provided, the calendar will open on date specified in this input [defaultMonth]="'05.2017'
disabled boolean false Specifies the disabled state of date picker [disabled]="true"
label string - Label text for the input element [label]="'My label'"
locale string - Specifies new language for component [locale]="'de'"
options IMyOptions - Options for date picker component that need to be specified in typescript file [options]="myDatePickerOptions"
openOnFocus boolean true Allow to prevent date picker from opening on input focus [openOnFocus]="false"
placeholder string - Specifies placeholder text for the input element [placeholder]="'Select date'"
selector number 0 Specifies wheter date picker calendar should be opened by default [selector]="1"
tabIndex number 0 Changes tabindex of the date picker input field [tabIndex]="-1"
inline boolean false Determines if Date Picker should be opened inline instead of modal [inline]="true"
inlineIcon string 'far fa-calendar-alt' Use to change the default inline date picker icon inlineIcon="fas fa-calendar-alt"
outlineInput boolean false Use to change default Date Picker to outline version (.md-outline) class [outlineInput]="true"

Outputs

Name Type Description Example
dateChanged EventEmitter<any> Event emitted when date value change (dateChanged)="onDateChange($event)"
calendarViewChanged EventEmitter<ImyCalendarViewChanged> Event emitted when calendar view change (year or month is changed) (calendarViewChanged)="onCalendarViewChange($event)"
inputFieldChanged EventEmitter<IMyInputFieldChanged> Event emitted when input value change (date is selected or date is cleared) (inputFieldChanged)="onInputFieldChange($event)"
inputFocusBlur EventEmitter<IMyInputFocusBlur> Event emitted when the input element get or lost focus (inputFocusBlur)="onInputFocusBlur($event)"
todayButtonClicked EventEmitter<MDBDatePickerComponent> Event emitted when today button is clicked (todayButtonClicked)="onTodayButtonClicked($event)"
clearButtonClicked EventEmitter<MDBDatePickerComponent> Event emitted when clear button is clicked (clearButtonClicked)="onClearButtonClicked($event)"
closeButtonClicked EventEmitter<MDBDatePickerComponent> Event emitted when close button is clicked (closeButtonClicked)="onCloseButtonClicked($event)"

Options

Name Type Default Description Example
alignSelectorRight boolean false Changes position of the date picker frame alignSelectorRight: true
ariaLabelClearDate string 'Clear Date' Aria label for the clear date button ariaLabelClearDate: 'Clear Date'
ariaLabelInputField string 'Date input field' Aria label for the input field ariaLabelInputField: 'Date input field'
ariaLabelOpenCalendar string 'Open Calendar' Aria label for the open calendar button ariaLabelOpenCalendar: 'Open Calendar'
ariaLabelNextMonth string 'Next Month' Aria label for the next month button ariaLabelNextMonth: 'Next Month'
ariaLabelNextYear string 'Next Year' Aria label for the next year button ariaLabelNextYear: 'Next Year'
ariaLabelPrevMonth string 'Previous Month' Aria label for the previous month button ariaLabelPrevMonth: 'Previous Month'
ariaLabelPrevYear string 'Previous Year' Aria label for the previous year button ariaLabelPrevYear: 'Previous Year'
ariaLabelPrevYear string 'Previous Year' Aria label for the previous year button ariaLabelPrevYear: 'Previous Year'
ariaLabelPrevYear string 'Previous Year' Aria label for the previous year button ariaLabelPrevYear: 'Previous Year'
ariaLabelPrevYear string 'Previous Year' Aria label for the previous year button ariaLabelPrevYear: 'Previous Year'
ariaLabelPrevYear string 'Previous Year' Aria label for the previous year button ariaLabelPrevYear: 'Previous Year'
closeAfterSelect boolean false Specifies wheter date picker should close after date was selected closeAfterSelect: true
componentDisabled boolean false Specifies wheter date picker is disabled componentDisabled: true
dateFormat string 'yyyy-mm-dd' Specifies date format, use same delimeters as in startDate dateFormat: 'm.d.yy'
dayLabels <IMyDayLabels>{} {su: 'Sun', mo: 'Mon', tu: 'Tue', we: 'Wed', th: 'Thu', fr: 'Fri', sa: 'Sat'} Specifies shortened names of days dayLabels: {su: 'Sun', mo: 'Mon', tu: 'Tue', we: 'Wed', th: 'Thu', fr: 'Fri', sa: 'Sat'}
dayLabelsFull <IMyDayLabels>{} {su: "Sunday", mo: "Monday", tu: "Tuesday", we: "Wednesday", th: "Thursday", fr: "Friday", sa: "Saturday"} Specifies names of days dayLabelsFull: {su: "Sunday", mo: "Monday", tu: "Tuesday", we: "Wednesday", th: "Thursday", fr: "Friday", sa: "Saturday"}
disableDateRanges <IMyDateRange>[] - Allow to disable date ranges disableDateRanges: [{begin: {year: 2015, month: 5, day: 10}, end: {year: 2017, month: 9, day: 17}}]
disableHeaderButtons boolean true Used to disable changes in calendar view when previous or next dates are disabled disableHeaderButtons: false
disableSince <IMyDate>{} { year: 0, month: 0, day: 0 } Allow to disable dates forward starting from the given date disableSince: { year: 2017, month: 8, day: 9 }
disableUntil <IMyDate>{} { year: 0, month: 0, day: 0 } Allow to disable dates backwards starting from the given date disableUntil: { year: 2018, month: 5, day: 15 }
disableWeekends boolean false Specifies wheter weekends should be disabled disableWeekends: true
enableDays <IMyDate>[] - Allow to enable given dates enableDays: [{year: 2014, month: 4, day: 7}, {year: 2018, month: 3, day: 17}]
editableDateField boolean true Specifies whether input filed is editable or not editableDateField: false
firstDayOfWeek string 'mo' Specifies first day of week on the calendar firstDayOfWeek: 'tu'
markCurrentDay boolean true Specifies wheter current day is marked in calendar markCurrentDay: false
markDates <IMyMarkedDates>[] - Allow to mark choosen dates with specified color markDates: [{dates: [{year: 2016, month: 11, day: 14}, {year: 2016, month: 12, day: 16}], color: '#004198'}]
markWeekends <ImyMarkedDate>{} - Allow to mark weekends with specified color markWeekends: {marked: true, color: 'blue'}
maxYear number 9999 Specifies maximum allowed year in calendar, cannot be more than 9999 maxYear: 2020
minYear number 1000 Specifies minimum allowed year in calendar, cannot be less than 1000 minYear: 2000
monthLabels <IMyMonthLabels>{} { 1: 'Jan', 2: 'Feb', 3: 'Mar', 4: 'Apr', 5: 'May', 6: 'Jun', 7: 'Jul', 8: 'Aug', 9: 'Sep', 10: 'Oct', 11: 'Nov', 12: 'Dec' } Specifies shortened names of months monthLabels: { 1: 'Jan', 2: 'Feb', 3: 'Mar', 4: 'Apr', 5: 'May', 6: 'Jun', 7: 'Jul', 8: 'Aug', 9: 'Sep', 10: 'Oct', 11: 'Nov', 12: 'Dec' }
monthLabelsFull <IMyMonthLabels>{} { 1: "January", 2: "February", 3: "March", 4: "April", 5: "May", 6: "June", 7: "July", 8: "August", 9: "September", 10: "October", 11: "November", 12: "December" } Specifies names of months monthLabelsFull: { 1: "January", 2: "February", 3: "March", 4: "April", 5: "May", 6: "June", 7: "July", 8: "August", 9: "September", 10: "October", 11: "November", 12: "December" }
showClearDateBtn boolean true Specifies wheter clear date button is visible showClearDateBtn: false
showTodayBtn boolean true Specifies wheter today button is visible showTodayBtn: false
showWeekNumbers boolean false Allow to display week number, works only if firstDayOfWeek = 'mo' showWeekNumbers: true
startDate string - Specified default date value, use same delimeters as in dateFormat startDate: '2016-05-05'
todayBtnTxt string 'Today' Allow to add custom text for today button todayBtnText: 'Today'
useDateObject boolean false Specifies whether date picker control should return date in Javascript date object format useDateObject: true

Methods

You can get access to date picker methods from another component. Add template reference variable to your mdb-date-picker component in HTML file

<mdb-date-picker #datePicker></mdb-date-picker>

Then in your typescript file use @ViewChild decorator to get access to MDBDatePickerComponent methods

@ViewChild('datePicker', { static: true }) datePicker: MDBDatePickerComponent

MDBDatePickerComponent
Name Description Example
openBtnClicked Opens date picker this.datePicker.openBtnClicked()
closeBtnClicked Closes date picker this.datePicker.closeBtnClicked()
toggleInlineDatePicker Toggle the inline date picker - visible / hidden this.datePicker.toggleInlineDatePicker()
LocaleService
Name Description Example
setLocaleOptions(locale: IMyLocales) Set the global Date Picker locale from provided parameter. this.localeService.setLocaleOptions(locale)
getLocaleOptions(locale: string) Returns locale which corresponds to provided locale identifier (eg. 'de'), or default 'en' when no such locale found. console.log(this.localeService.getLocaleOptions('de'))